Public Member Functions | Public Attributes | List of all members
NisusWrtParserInternal::State Struct Reference

Internal: the state of a NisusWrtParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::vector< Variable > | m_numberingList
| the list of numbering More...
Zone | m_zones [3]
| the main zones : Main, Footnote, HeaderFooter More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
int | m_numColumns
| the number of columns More...
float | m_columnSep
| the columns separator More...
NisusWrtStruct::FootnoteInfo | m_footnoteInfo
| the footnote placement More...
bool | m_isTextDocument
| a bool to know if we examine a text document or another thing glossary ... More...

## Detailed Description

Internal: the state of a NisusWrtParser.

## Constructor & Destructor Documentation

## ◆ State()

NisusWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int NisusWrtParserInternal::State::m_actPage

the actual page

## ◆ m_columnSep

float NisusWrtParserInternal::State::m_columnSep

the columns separator

## ◆ m_footerHeight

int NisusWrtParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_footnoteInfo

NisusWrtStruct::FootnoteInfo NisusWrtParserInternal::State::m_footnoteInfo

the footnote placement

## ◆ m_headerHeight

int NisusWrtParserInternal::State::m_headerHeight

the header height if known

## ◆ m_isTextDocument

bool NisusWrtParserInternal::State::m_isTextDocument

a bool to know if we examine a text document or another thing glossary ...

## ◆ m_numberingList

std::vector<Variable> NisusWrtParserInternal::State::m_numberingList

the list of numbering

## ◆ m_numColumns

int NisusWrtParserInternal::State::m_numColumns

the number of columns

## ◆ m_numPages

int NisusWrtParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_zones

Zone NisusWrtParserInternal::State::m_zones[3]

the main zones : Main, Footnote, HeaderFooter

The documentation for this struct was generated from the following file:

- NisusWrtParser.cxx